/**
 * Defines names of common properties for use with a [BotTelemetryClient](xref:botbuilder-core.BotTelemetryClient) object.
 */
export declare class TelemetryConstants {
    /**
     * The telemetry property value for channel id.
     */
    static readonly channelIdProperty: string;
    /**
     * The telemetry property value for conversation id.
     */
    static readonly conversationIdProperty: string;
    /**
     * The telemetry property value for conversation name.
     */
    static readonly conversationNameProperty: string;
    /**
     * The telemetry property value for dialog id.
     */
    static readonly dialogIdProperty: string;
    /**
     * The telemetry property value for from id.
     */
    static readonly fromIdProperty: string;
    /**
     * The telemetry property value for from name.
     */
    static readonly fromNameProperty: string;
    /**
     * The telemetry property value for locale.
     */
    static readonly localeProperty: string;
    /**
     * The telemetry property value for recipient id.
     */
    static readonly recipientIdProperty: string;
    /**
     * The telemetry property value for recipient name.
     */
    static readonly recipientNameProperty: string;
    /**
     * The telemetry property value for reply activity id.
     */
    static readonly replyActivityIdProperty: string;
    /**
     * The telemetry property value for text.
     */
    static readonly textProperty: string;
    /**
     * The telemetry property value for speak.
     */
    static readonly speakProperty: string;
    /**
     * The telemetry property value for user id.
     */
    static readonly userIdProperty: string;
    /**
     * The telemetry property value for attachments.
     */
    static readonly attachmentsProperty: string;
    /**
     * The telemetry property value for activity type.
     */
    static readonly activityTypeProperty: string;
}
//# sourceMappingURL=telemetryConstants.d.ts.map