"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelemetryConstants = void 0;
/**
 * Defines names of common properties for use with a [BotTelemetryClient](xref:botbuilder-core.BotTelemetryClient) object.
 */
class TelemetryConstants {
}
exports.TelemetryConstants = TelemetryConstants;
/**
 * The telemetry property value for channel id.
 */
TelemetryConstants.channelIdProperty = 'channelId';
/**
 * The telemetry property value for conversation id.
 */
TelemetryConstants.conversationIdProperty = 'conversationId';
/**
 * The telemetry property value for conversation name.
 */
TelemetryConstants.conversationNameProperty = 'conversationName';
/**
 * The telemetry property value for dialog id.
 */
TelemetryConstants.dialogIdProperty = 'dialogId';
/**
 * The telemetry property value for from id.
 */
TelemetryConstants.fromIdProperty = 'fromId';
/**
 * The telemetry property value for from name.
 */
TelemetryConstants.fromNameProperty = 'fromName';
/**
 * The telemetry property value for locale.
 */
TelemetryConstants.localeProperty = 'locale';
/**
 * The telemetry property value for recipient id.
 */
TelemetryConstants.recipientIdProperty = 'recipientId';
/**
 * The telemetry property value for recipient name.
 */
TelemetryConstants.recipientNameProperty = 'recipientName';
/**
 * The telemetry property value for reply activity id.
 */
TelemetryConstants.replyActivityIdProperty = 'replyActivityId';
/**
 * The telemetry property value for text.
 */
TelemetryConstants.textProperty = 'text';
/**
 * The telemetry property value for speak.
 */
TelemetryConstants.speakProperty = 'speak';
/**
 * The telemetry property value for user id.
 */
TelemetryConstants.userIdProperty = 'userId';
/**
 * The telemetry property value for attachments.
 */
TelemetryConstants.attachmentsProperty = 'attachments';
/**
 * The telemetry property value for activity type.
 */
TelemetryConstants.activityTypeProperty = 'type';
//# sourceMappingURL=telemetryConstants.js.map